Start a conversation with Rosie
POST
/public/assistant/sessions
const url = 'https://example.com/public/assistant/sessions';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"turnstileToken":"example","surface":"website","page":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/public/assistant/sessions \ --header 'Content-Type: application/json' \ --data '{ "turnstileToken": "example", "surface": "website", "page": "example" }'Deliberately unauthenticated: needs a Cloudflare Turnstile token for the action assistant from getbottle.app or support.getbottle.app. Answers a session id and a token. Send the token as Authorization: Bearer on every later call; it works for seven days. Ten sessions an hour from one IP address.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
turnstileToken
required
string
surface
required
string
page
string
Responses
Section titled “Responses”Session started
Media typeapplication/json
object
sessionId
required
string format: uuid
token
required
string
expiresAt
required
string format: date-time
Example generated
{ "sessionId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "token": "example", "expiresAt": "2026-04-15T12:00:00Z"}Security check failed
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Rosie is not set up here
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Validation failed
Media typeapplication/json
object
error
required
string
message
required
string
issues
required
Array<object>
object
path
required
string
message
required
string
Example
{ "error": "validation", "issues": [ { "path": "email", "message": "Invalid email" } ]}Too many sessions from one place
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Security check unavailable
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}